define({"0":{y:0,u:"../Content/part_Overview.htm",l:-1,t:"Overview of HTML Export",i:0.00147031347206544,a:"Overview of HTML Export This section provides an overview of the OpenText IDOL KeyView Export SDK and describes how to use the C implementation of the API. Introducing HTML Export Getting Started"},"1":{y:0,u:"../Content/ExportShared/Introduction/Introduction.htm",l:-1,t:"Introducing HTML Export",i:0.00209520076783207,a:"Introducing HTML Export This guide is for developers who want to incorporate OpenText KeyView HTML conversion technology into their applications using a C development environment. It is intended for readers who are familiar with HTML and C."},"2":{y:0,u:"../Content/ExportShared/Introduction/Overview.htm",l:-1,t:"Overview",i:0.00147031347206544,a:"HTML Export is part of the KeyView Export SDK. It enables you to convert virtually any document, spreadsheet, presentation, or graphic into high-fidelity HTML. Incorporating this technology into your web-based applications enables your end-users to access a document even if they do not have the ..."},"3":{y:0,u:"../Content/ExportShared/Introduction/Features.htm",l:-1,t:"Features",i:0.00147031347206544,a:"Dynamically convert word processing, spreadsheet, presentation, and graphics files into  web-ready, 4.0-compliant HTML . Export supports over 300 formats in 70 languages. Convert files either in-process or out of process. Out-of-process conversion ensures the stability and robustness of the calling ..."},"4":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00147031347206544,a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software."},"5":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00147031347206544,a:"The following sections list supported operating systems for each platform. Windows (x86-64) Microsoft Windows Server 2022 Microsoft Windows Server 2019 Microsoft Windows Server 2016 Microsoft Windows Server 2012 Microsoft Windows 11 Microsoft Windows 10 Windows (x86) Microsoft Windows 10 Windows ..."},"6":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.00147031347206544,a:"Supported Compilers The following table lists the supported compilers for the C HTML Export SDK."},"7":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.00209520076783207,a:"To run KeyView on Windows requires the Microsoft Visual C++ 2019 redistributables to be installed. The redistributables are provided in the vcredist folder of the KeyView SDK but you can  download the latest installers from Microsoft  to get the latest security, reliability, and performance ..."},"8":{y:0,u:"../Content/Shared/_KV_install_Windows.htm",l:-1,t:"Windows Installation",i:0.00147031347206544,a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ..."},"9":{y:0,u:"../Content/Shared/_KV_install_UNIX.htm",l:-1,t:"UNIX Installation",i:0.00147031347206544,a:"To install the SDK, use one of the following procedures. To install the SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the SDK from the console Run the installation program from the console as follows: ..."},"10":{y:0,u:"../Content/ExportShared/Introduction/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00147031347206544,a:"The Export installation contains: Libraries and executable files necessary for converting source documents into high-quality , web-ready HTML  (see  Files Required for Redistribution ). The include files that define the functions and structures used by the application to establish an interface with ..."},"11":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0139625538686885,a:"Your license key controls whether you have the full version of the KeyView SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document readers: Microsoft ..."},"12":{y:0,u:"../Content/ExportShared/Introduction/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.00147031347206544,a:" The following table describes the directories created during the HTML Export installation. The variable install is the path name of the Export installation  directory (for example, /usr/autonomy/KeyviewExportSDK on UNIX, or C:\\Program Files\\Autonomy\\KeyviewExportSDK on Windows). On UNIX, the HTML ..."},"13":{y:0,u:"../Content/ExportShared/Introduction/Definition_of_Terms.htm",l:-1,t:"Definition of Terms",i:0.00147031347206544,a:"Definition of Terms The following are specialized terms used throughout the guide. "},"14":{y:0,u:"../Content/ExportShared/GettingStarted/GettingStarted.htm",l:-1,t:"Getting Started",i:0.00209520076783207,a:"Getting Started This section provides an overview of the HTML Export SDK and describes how to use the C implementations of the API."},"15":{y:0,u:"../Content/ExportShared/GettingStarted/ReferenceImplementation.htm",l:-1,t:"HTML Export Reference Implementation",i:0.0141587384344297,a:"The KeyView Export SDK includes a reference implementation that demonstrates how to export documents to HTML. The reference implementation includes source code for a library named libkvhtmlexport, and a sample program named kvhtmlexport. The libkvhtmlexport library is written in  C++  and provides a ..."},"16":{y:0,u:"../Content/ExportShared/GettingStarted/Architectural_Overview.htm",l:-1,t:"Architectural Overview",i:0.00147031347206544,a:"Architectural Overview The general architecture of the KeyView HTML conversion technology is the same across all supported platforms and is illustrated in the following diagram: HTML Export Architecture Each component is described in the following table."},"17":{y:0,u:"../Content/ExportShared/GettingStarted/Enhance_Performance.htm",l:-1,t:"Enhance Performance",i:0.00147031347206544,a:"KeyView is designed for optimal performance out of the box. However, there are some parameters that you can adjust to improve performance specifically for your system. File Caching To reduce the frequency of I/O operations, and consequently improve performance, the KeyView readers load file data ..."},"18":{y:0,u:"../Content/ExportShared/GettingStarted/Convert_Files.htm",l:-1,t:"Convert Files",i:0.00147031347206544,a:"KeyView Export SDK enables you to convert many different types of documents to HTML. Converting is the process of extracting the text from a document without the application-specific markup, and applying HTML markup. The conversion process can also include the following: Extracting subfiles to ..."},"19":{y:0,u:"../Content/ExportShared/GettingStarted/Subfile_Extraction.htm",l:-1,t:"Subfile Extraction",i:0.00160917731556914,a:"To convert a file, you must first determine whether the source file contains any subfiles (attachments, embedded objects, and so on). A file that contains subfiles is called a  container file. Compressed files (such as Zip), mail messages with attachments (such as  Microsoft Outlook Express), mail ..."},"20":{y:0,u:"../Content/ExportShared/GettingStarted/Set_Conversion_Options.htm",l:-1,t:"Set Conversion Options",i:0.00366220997494252,a:"Set Conversion  Options Conversion options are parameters that determine the content, structure, and appearance of the HTML output. For example, you can specify:  the markup inserted at the beginning and end of specific HTML blocks whether a heading is included in the table of contents the output ..."},"21":{y:0,u:"../Content/ExportShared/GettingStarted/HTML_Export_API_C.htm",l:-1,t:"Use the C-Language Implementation of the API",i:0.00166581541752599,a:"The C-language implementation of the API is divided into the following  function suites: File Extraction API Functions —Open and extract subfiles in a container file. These functions also extract metadata and file format information, and control character set conversion on extraction. HTML Export ..."},"22":{y:0,u:"../Content/part_Use.htm",l:-1,t:"Use the Export API",i:0.00147031347206544,a:"Use the Export API This section explains how to perform some basic tasks using the  File Extraction and  Export APIs, and describes the sample programs. It contains the following chapters: Use the File Extraction API Use the HTML Export API Sample Programs"},"23":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c.htm",l:-1,t:"Use the File Extraction API",i:0.0044332883653732,a:"Use the File Extraction API This section describes how to extract subfiles from a container file by using the File Extraction API. "},"24":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Introduction.htm",l:-1,t:"Introduction",i:0.00147031347206544,a:"A file can contain other files, which we call subfiles. Examples of subfiles include e-mail attachments and embedded OLE objects. A file that contains subfiles is called a container file. The following are examples of container files: Archive files such as the ZIP, TAR, and RAR formats. Mail ..."},"25":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_Sub_Files.htm",l:-1,t:"Extract Subfiles",i:0.00147031347206544,a:"To  convert  all files in a container file, you must open the container and extract its subfiles by using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for  conversion . After a subfile is extracted, you can call  Export  API ..."},"26":{y:0,u:"../Content/Shared/_KV_xtract_pwd_c.htm",l:-1,t:"Open Password Protected Container Files",i:0.00147031347206544,a:"This section describes how to extract password-protected container files by using the C API. The following guidelines apply to specific file types. Lotus Notes NSF files. If you are running a Notes client with an active user connected to a Domino server, you must specify the user’s password as a ..."},"27":{y:0,u:"../Content/_KV_xtract_sanitize_paths.htm",l:-1,t:"Sanitize Absolute Paths",i:0.00530707874539115,a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the function  fpGetSubFileInfo() .  However, if the ..."},"28":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.00147031347206544,a:"You can use the File Extraction API  to extract images within a file. If you use this feature, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where [X] is an integer, and [Y] is the extension. The format of the image is the same as ..."},"29":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Recreate_a_Files_Hierarchy.htm",l:-1,t:"Understand the Subfile Hierarchy",i:0.00783289886127561,a:"When you extract a container file, the paths or relationships between the subfiles might be irrelevant. For example, you might want to filter the subfiles contained in a ZIP archive, but you might not care about the file and folder structure. KeyView provides information that enables you to recreate ..."},"30":{y:0,u:"../Content/kv_xtract_api_c/_KV_ExtractMailFiles.htm",l:-1,t:"Extract Mail Files",i:0.00209520076783207,a:"A file that contains an e-mail message, for example a Microsoft Outlook .MSG file, is typically treated as a container even if it does not have any attachments. KeyView provides access to the message text as a subfile.  When you extract a subfile that represents the text of a message, KeyView ..."},"31":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_MailboxFiles.htm",l:-1,t:"Mailbox Files",i:0.00147031347206544,a:"A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  In Eudora MBX files, attachments are inserted ..."},"32":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_OutlookPersonalFolder.htm",l:-1,t:"Outlook Personal Folders Files",i:0.00147031347206544,a:"KeyView can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file. When a PST file is extracted to disk, the text and header information (To, From, Sent, and so on) from each Outlook item is extracted to a text file. If you do not want to ..."},"33":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_LotusDominoXML.htm",l:-1,t:"Lotus Domino XML Language Files",i:0.00147031347206544,a:"You can make sure that dates and times extracted from Lotus Domino .DXL files are displayed in a uniform format. To extract custom date/time formats In the formats_e.ini file, set the DateTimeFormat option in the [dxlsr] section. For example: [dxlsr]\nDateTimeFormat=%m/%d/%Y %I:%M:%S %p In this ..."},"34":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_LotusNotes_DB.htm",l:-1,t:"Lotus Notes Database Files",i:0.00147031347206544,a:"A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document notes, access control list notes, and collection ..."},"35":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_PDF_Files.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.00147031347206544,a:"KeyView can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are added as comments by using various ..."},"36":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.00147031347206544,a:"To improve performance when processing  PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, KeyView does not extract the image.  For example, to ignore images that are ..."},"37":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_Embedded_OLE_Objects.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.00147031347206544,a:"Embedded OLE objects can be converted in two ways: Using the File Extraction API, the OLE object is first extracted from the main file and saved to disk. It can then be converted by making a separate conversion call. Using the  HTML  Export API, the main file is converted to  HTML  and the OLE ..."},"38":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Default_Filenames_Extracted_Subfiles.htm",l:-1,t:"Default File Names for Extracted Subfiles",i:0.00206539710473234,a:"Default File Names for  Extracted Subfiles When you do not specify a file name in the call to   fpExtractSubFile() , in some cases a default file name is applied to the extracted subfile. Default File Name for Mail Formats To avoid naming conflicts and problems with long file names, KeyView applies ..."},"39":{y:0,u:"../Content/ExportShared/UseExportAPI/HTML_api.htm",l:-1,t:"Use the HTML Export API",i:0.00264888705671369,a:"Use the HTML Export API This section describes how to perform some basic tasks by using the HTML Export API."},"40":{y:0,u:"../Content/ExportShared/UseExportAPI/Extract_Metadata.htm",l:-1,t:"Extract Metadata",i:0.0019979783907292,a:"Extract  Metadata When a file format supports metadata, KeyView can extract and process that information. Metadata includes document information fields such as title, author, creation date, and file size. Depending on the file\u0027s format, metadata is referred to in a number of ways: for example, ..."},"41":{y:0,u:"../Content/ExportShared/UseExportAPI/Extract_File_Format_Info.htm",l:-1,t:"Obtain File Format Information",i:0.00160917731556914,a:"The KeyView format detection module (kwad) detects a file\u0027s format. This feature enables you to apply customized conversion settings based on a file\u0027s format. To obtain file format information using the C API Declare a pointer to the  KVStreamInfo  data structure. Call the  fpGetStreamInfo()  ..."},"42":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_Character_Sets.htm",l:-1,t:"Convert Character Sets",i:0.00537863795663767,a:"Export allows you to control the character set of both the input and the output text. This is accomplished by either setting the source and/or target character set in the API, or  basing the input/output on the character set of the document (if the document character set is stored in the document ..."},"43":{y:0,u:"../Content/ExportShared/UseExportAPI/Map_Styles.htm",l:-1,t:"Map Styles",i:0.00613440114045642,a:"Export can map  paragraph and character styles in any word processing format that contains styles (such as Microsoft Word, RTF, or Folio Flat File) to user-defined markup.  This feature is useful for shaping the look of the HTML output, or for generating user-defined metadata (including using XML ..."},"44":{y:0,u:"../Content/ExportShared/UseExportAPI/Use_Style_Sheets.htm",l:-1,t:"Use Style Sheets",i:0.00252300925599235,a:"Use  Style Sheets You can use style sheets  to define the overall layout and type specifications of the HTML output. Export can write style sheet information to an external Cascading Style Sheet (CSS) file, or read the information from an existing CSS file during the conversion. The formatting data ..."},"45":{y:0,u:"../Content/ExportShared/UseExportAPI/Vector_Graphics_Output.htm",l:-1,t:"Vector Graphics Output",i:0.00252300925599235,a:"Sometimes an input document contains vector graphics like charts or diagrams that can be included in the output produced by KeyView.  For presentation formats like PowerPoint, the entire slide can be considered as a vector graphic. You can choose the output format for vector graphics. In most cases, ..."},"46":{y:0,u:"../Content/ExportShared/UseExportAPI/Search_and_Highlight_Terms.htm",l:-1,t:"Search and Highlight Terms",i:0.00278406271110444,a:"KeyView can use the highlighting API to find and highlight specified text strings in the HTML output. Only text strings that exactly match the search term are highlighted. For example, if you specify the term house, the string house is highlighted in house, houses, and housed, but is not highlighted ..."},"47":{y:0,u:"../Content/ExportShared/UseExportAPI/C-Only/Include_Revision_Information.htm",l:-1,t:"Include Revision Information",i:0.00335991456255161,a:"Applications sometimes have revision tracking features  — such as Track Changes in Microsoft Word — and save information about the changes that are made to a document. This information might include the reviewer\u0027s name and the date and time of each change. When a supported file contains revision ..."},"48":{y:0,u:"../Content/ExportShared/UseExportAPI/Extract_Text_from_Text_Boxes.htm",l:-1,t:"Extract Text from Text Boxes",i:0.00147031347206544,a:"By default, the contents of Microsoft Word text boxes are converted to graphics and exported. Alternatively, you can convert the contents of text boxes to text.  The extracted text box text is not formatted.  To enable text box extraction Add the following to the formats_e.ini file: [ ..."},"49":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_PDF_Files.htm",l:-1,t:"Convert PDF Files",i:0.0050882736011171,a:"Export has special  configuration options that allow greater control over the conversion of PDF files. These options can improve the fidelity and accuracy of the HTML output. Use the pdf2sr Reader The pdf2sr reader generates a high fidelity raster image of each page in a PDF file. The output HTML ..."},"50":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_Spreadsheet_Files.htm",l:-1,t:"Convert Spreadsheet Files",i:0.00147031347206544,a:"Export has special configuration options that allow greater control over the conversion of spreadsheet files.  Convert  Hidden Text in Microsoft Excel Files Normally, Export does not convert hidden text from a Microsoft Excel spreadsheet because it is assumed that the text should not be exposed. You ..."},"51":{y:0,u:"../Content/ExportShared/UseExportAPI/C-Only/Convert_Presentation_Files.htm",l:-1,t:"Convert Presentation Files",i:0.00228355486235584,a:"Export has special configuration options that allow greater control over the conversion of presentation files. Convert Presentation Files to Raster Images Export allows you to convert each slide in a presentation document to a raster image, providing a high-fidelity conversion of the document.  The ..."},"52":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_XML_Files.htm",l:-1,t:"Convert XML Files",i:0.0034731052339282,a:"Convert  XML Files Export enables you to extract all or selected content from source XML files (see  Configure Element Extraction for XML Documents ). It detects the following XML formats: generic XML Microsoft Office 2003 XML (Word, Excel, and Visio) StarOffice/OpenOffice XML (text document, ..."},"53":{y:0,u:"../Content/ExportShared/UseExportAPI/Show_Hidden_Data.htm",l:-1,t:"Show Hidden Data",i:0.00310876299324291,a:"Microsoft Word, Excel, and PowerPoint documents contain hidden information, some of which is shown by default when exported, and some of which is hidden by default. There are several options that allow you to determine which types of hidden data are shown. KeyView does not consider white text on a ..."},"54":{y:0,u:"../Content/Shared/_KV_No_Phonetic_Guides.htm",l:-1,t:"Exclude Japanese Guide Text",i:0.00147031347206544,a:"Exclude Japanese Guide Text This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text In  formats_e.ini, set the following parameter.  [Options]\nNoPhoneticGuides=TRUE"},"55":{y:0,u:"../Content/Shared/_KV_Code_Identification.htm",l:-1,t:"Source Code Identification",i:0.00147031347206544,a:"When KeyView auto-detects a file that contains source code, it can attempt to identify the programming language that it is written in. When you do not enable source code identification, files containing source code may be identified as ASCII text files, causing the application to treat them in the ..."},"56":{y:0,u:"../Content/ExportShared/UseExportAPI/Partitioning.htm",l:-1,t:"Partitioning",i:0.00348470656417276,a:"To increase the flexibility of KeyView output, you can output the HTML rendering of different parts of a file to different partitions. These partitions are snippets of HTML output for a given portion of the file. The calling code can then combine these partitions into the desired output structure. ..."},"57":{y:0,u:"../Content/kv_RMS/_KV_RMS_ConfigureProxyForRMS.htm",l:-1,t:"Configure the Proxy for RMS",i:0.00147031347206544,a:"When KeyView needs to access contents that are protected by the Microsoft Rights Management System (RMS), it must make HTTP requests. By default, KeyView uses the system proxy settings for these requests.  To use different proxy settings, you can configure them  in the [RMS] section of the formats ..."},"58":{y:0,u:"../Content/kv_security/_KV_SecurityBestPractises.htm",l:-1,t:"Security Best Practices",i:0.00147031347206544,a:"This section outlines some security best practices to consider when using KeyView. Run Export Out-of-Process. Export can process documents in a separate process, which protects the stability of the calling application. OpenText strongly recommends that you configure Export to do this, by using the ..."},"59":{y:0,u:"../Content/ExportShared/GettingStarted/Convert_Files_Out_of_Process.htm",l:-1,t:"Convert Files Out of Process",i:0.0247509317290818,a:"Export  can run independently from the calling application. This is called out of process. Out-of-process conversions protect the stability of the calling application in the rare case when a malformed document causes Export to fail. You can also run Export in the same process as the calling ..."},"60":{y:0,u:"../Content/ExportShared/GettingStarted/ConvertOOP_Run_C.htm",l:-1,t:"Run Export Out of Process",i:0.00156535341343753,a:"The cnv2htmloop sample program demonstrates how to run Export out of process. To convert files out of process in the C API If required, set parameters for the out-of-process conversion in the formats_e.ini file. See  Configure Out-of-Process Conversions . Declare instances of the following types and ..."},"61":{y:0,u:"../Content/kv_security/_KV_ProtectTempDir.htm",l:-1,t:"Protect the Temporary Directory",i:0.00310543660877699,a:"HTML Export writes temporary files to the temporary directory. These temporary files frequently include the contents of files that HTML Export is processing, including decrypted parts of encrypted files. Sensitive information is therefore exposed in the temporary directory, so it is important that ..."},"62":{y:0,u:"../Content/kv_security/_KV_RunMinimalPrivileges.htm",l:-1,t:"Run HTML Export with Minimal Privileges",i:0.00167860923732098,a:"OpenText recommends that you run HTML Export with only those privileges that are necessary for it to function correctly, which follows best practice for any application. In particular, HTML Export needs access only to the following directories: the HTML Export bin directory. any input and output ..."},"63":{y:0,u:"../Content/kv_security/_KV_DLLPreloading.htm",l:-1,t:"Mitigate Against DLL Pre-Loading",i:0.00167860923732098,a:"When an  application loads a shared library such as  kvhtml.dll or kvhtml.so , the Operating System or runtime linker might search several locations. This search can allow DLL pre-loading attacks if an attacker is able to place a malicious binary in one of the locations searched. It might also lead ..."},"64":{y:0,u:"../Content/kv_metadata_api_c/_KV_Using_Metadata_API.htm",l:-1,t:"Use the Metadata API",i:0.0120215394699628,a:"Use the Metadata API This section describes how to use KeyView to access metadata."},"65":{y:0,u:"../Content/kv_metadata_api_c/_KV_What_Is_Metadata.htm",l:-1,t:"What is Metadata?",i:0.00206395778249928,a:"Documents may contain information about the document itself: we call this metadata. For instance, a raster image file contains metadata recording the image\u0027s width and height; a word processing document may contain metadata recording the document\u0027s author and title. Metadata can be represented by ..."},"66":{y:0,u:"../Content/kv_metadata_api_c/_KV_Understanding_Metadata.htm",l:-1,t:"Understanding Metadata Fields in KeyView",i:0.004278291332227,a:"Field Standardization Common metadata fields such as \"Title\", \"Author\", and \"Subject\" exist in many different file formats, but can be stored in different ways. For instance, one raster image format may store the image width as a key-value pair with key Width. Another format may store the image ..."},"67":{y:0,u:"../Content/kv_metadata_api_c/_KV_Process_Fields.htm",l:-1,t:"Access Metadata Fields",i:0.00147031347206544,a:"This section explains how to process metadata fields using the KeyView API. Standardized Fields When KeyView understands the meaning of a metadata field in a document, it outputs that data in a standardized field. Standardized fields are represented as  KVMetadataElement  objects with an eKey set to ..."},"68":{y:0,u:"../Content/kv_metadata_api_c/_KV_Metadata_Examples.htm",l:-1,t:"Metadata Examples",i:0.00147031347206544,a:"If you want to process both standardized and non-standardized metadata fields, you can loop through a  KVMetadataList  without checking the eKey member – both standardized and non-standardized metadata can be handled in the same way. However, standardization allows you to handle particular metadata ..."},"69":{y:0,u:"../Content/kv_metadata_api_c/_KV_Standardized_Metadata_Fields.htm",l:-1,t:"Standardized Metadata Fields",i:0.00330347597786094,a:"The following tables describe the standardized metadata fields that are supported by KeyView. Audio Metadata Date Metadata These dates are retrieved from values stored within the document, and are typically set by the creating application. For documents that exist on disk, this may differ from what ..."},"70":{y:0,u:"../Content/C/SamplePrograms/html_samples_c.htm",l:-1,t:"Sample Programs",i:0.00202576884608022,a:"Sample Programs This section describes the  sample programs provided with HTML Export."},"71":{y:0,u:"../Content/C/SamplePrograms/Introduction.htm",l:-1,t:"Introduction",i:0.0018393342010855,a:"The sample programs demonstrate how to use HTML Export. The sample code is intended to provide a starting point for your own applications or to be used for reference purposes.  You can also test these sample programs with the sample files provided in  install\\testdocs. The following sample programs ..."},"72":{y:0,u:"../Content/Shared/_KV_xtract_samples_c.htm",l:-1,t:"tstxtract",i:0.00169366283892673,a:"The tstxtract sample program demonstrates the File Extraction API. It opens a file, extracts subfiles from the file, and repeats the extraction process until all subfiles are extracted. It also demonstrates how to extract the default set of metadata and pass integer or string names to extract ..."},"73":{y:0,u:"../Content/C/SamplePrograms/cnv2html.htm",l:-1,t:"cnv2html",i:0.00264997546534029,a:"The cnv2html sample program creates a single, formatted HTML output file. To run cnv2html, type the following at the command line: cnv2html [options] inputfile outputfile where: options is one or more of the options listed in  Options for cnvhtml . inputfile is the full path and file name of the ..."},"74":{y:0,u:"../Content/C/SamplePrograms/cnv2htmloop.htm",l:-1,t:"cnv2htmloop",i:0.00215068714655581,a:"The cnv2htmloop sample program creates a single, formatted HTML output file, but unlike cnv2html, it converts the file out of process. See  Convert Files Out of Process  for more information on out of process conversions. To run cnv2htmloop, type the following at the command line: cnv2htmloop ..."},"75":{y:0,u:"../Content/C/SamplePrograms/io_samp.htm",l:-1,t:"io_samp",i:0.00169366283892673,a:"The io_samp sample program demonstrates how to create an  input and an output stream by providing a simple wrapper around the ANSI C interface fOpen(), fRead(), fSeek(), fTell(), and fClose(). It converts a source document into a single, largely unformatted HTML file. To run io_samp, type the ..."},"76":{y:0,u:"../Content/C/SamplePrograms/htmlini.htm",l:-1,t:"htmlini",i:0.00498016827955741,a:"The htmlini sample program is used in conjunction with template files to produce HTML documents. For more information on template files, see  Explore Conversion Options with the Sample Programs . Sample template files are in the directory  install\\htmlexport\\programs\\ini. You can use this sample ..."},"77":{y:0,u:"../Content/C/SamplePrograms/callback.htm",l:-1,t:"callback",i:0.00169366283892673,a:"The callback sample program demonstrates how you can control the conversion to generate specialized output while it is in progress. The program employs developer-defined callbacks during conversion.  To run callback, type the following at the command line: callback inputfile outputfile where: ..."},"78":{y:0,u:"../Content/C/SamplePrograms/kvhtmlexport.htm",l:-1,t:"kvhtmlexport",i:0.013505262155977,a:"A sample program that you can use to try out the KeyView HTML Export Reference Implementation .  The source code for this program is available in htmlexport/libkvhtmlexport/sample/src, and can be compiled using one of the makefiles in htmlexport/libkvhtmlexport/sample/bin. A pre-compiled binary is ..."},"79":{y:0,u:"../Content/part_CReference.htm",l:-1,t:"C API Reference",i:0.00147031347206544,a:"This section provides detailed reference information for the C-language implementation of the  File Extraction and  Export APIs. File Extraction API Functions File Extraction API Structures HTML Export API Functions HTML Export API Callback Functions HTML Export API Structures Enumerated Types"},"80":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_functions.htm",l:-1,t:"File Extraction API Functions",i:0.00379693599958637,a:"This section describes the functions in the File Extraction API. The File Extraction functions open a container file, and extract the container’s subfiles so that the subfiles are exposed and available for  conversion . Subfiles can be files within a Zip archive, messages in a mail store, ..."},"81":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpCloseFile.htm",l:-1,t:"fpCloseFile()",i:0.0187908153716464,a:"This function frees the memory allocated by  fpOpenFile()  and closes the file. Syntax int (pascal *fpCloseFile) (void *pFile); Arguments Returns If the file is closed, the return value is KVERR_Success.  If the file is not closed, the return value is an error code. Example ..."},"82":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpCloseSubFile.htm",l:-1,t:"fpCloseSubFile()",i:0.00260792784322692,a:"fpCloseSubFile() Closes a stream opened by  fpOpenSubFile() . Syntax int (pascal *fpCloseSubFile) (\n        KVInputStream *stream); Arguments Returns If the subfile is closed, the return value is KVERR_Success If the subfile is not closed, the return value is an error code."},"83":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpExtractSubFile.htm",l:-1,t:"fpExtractSubFile()",i:0.0168611570466069,a:"This function extracts a subfile from a container file to a user-defined path or output stream. This call returns file format information when file is extracted to a path. Syntax int (pascal *fpExtractSubFile)  (\n\t            void                          *pFile, \n\t\t    ..."},"84":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpFreeStruct.htm",l:-1,t:"fpFreeStruct()",i:0.00745572725269852,a:"This function frees the memory allocated by fpGetMainFileInfo(), fpGetSubFileInfo(), fpGetSubFileMetadata(), and fpExtractSubFile(). Syntax int (pascal *fpFreeStruct) (\n    void      *pFile, \n    void      *obj);  Arguments Returns If the allocated memory is freed, the return value is KVERR_Success. ..."},"85":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetExtractInfo.htm",l:-1,t:"fpGetExtractInfo()",i:0.00147031347206544,a:"This function returns information about a stream opened by  fpOpenSubFile() . Syntax int (pascal *fpGetExtractInfo) (\n       KVInputStream *stream,\n       KVSubFileExtractInfo *extractInfo);\n Arguments Returns If an issue occurs when obtaining the extraction information, the return value is an error ..."},"86":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetExtractStatus.htm",l:-1,t:"fpGetExtractStatus()",i:0.00147031347206544,a:"This function returns the status of an input stream opened by  fpOpenSubFile() . Syntax int (pascal *fpGetExtractStatus) (\n       KVInputStream *stream);\n Arguments Returns If an error occurred when one of the input stream function pointers was last called, this function should return the associated ..."},"87":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetMainFileInfo.htm",l:-1,t:"fpGetMainFileInfo()",i:0.00318693428993993,a:"This function  determines whether a file is a container file—that is, whether it contains subfiles—and should be extracted further.  Syntax int (pascal *fpGetMainFileInfo) (\n    void               *pFile, \n    KVMainFileInfo     *fileInfo);  Arguments Returns If the file information is retrieved, ..."},"88":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetSubFileInfo.htm",l:-1,t:"fpGetSubFileInfo()",i:0.00678042480200054,a:"This function gets  information about a subfile in a container file. Syntax int (pascal *fpGetSubFileInfo)  (\n    void                    *pFile, \n    int                      index,\n    KVSubFileInfo           *subFileInfo); Arguments Returns If the file information is retrieved, the return value ..."},"89":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetSubFileMetadataList.htm",l:-1,t:"fpGetSubFileMetadataList()",i:0.0071225320551989,a:"Containers can store metadata about their subfiles that is independent of the metadata stored within those subfiles. This function allows you to retrieve the metadata stored within the container about a particular subfile. Syntax KVErrorCode pascal fpGetSubFileMetadataList(\n    void* const pFile,\n   ..."},"90":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetSubFileMetaData.htm",l:-1,t:"fpGetSubFileMetaData()",i:0.00284345858171436,a:"The function fpGetSubFileMetaData() is deprecated in KeyView 23.2.0 and later. OpenText recommends that you use the function  fpGetSubFileMetadataList()  instead. This function is still available for existing implementations, but it might be incompatible with new functionality and might be removed ..."},"91":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpOpenFile.htm",l:-1,t:"fpOpenFile()",i:0.0406196537046288,a:"This function opens a file to make the file accessible for subfile extraction  or conversion . Syntax int (pascal *fpOpenFile) (\n    void                      *pContext,\n    KVOpenFileArg              openArg,\n    void                      **pFile); Arguments Returns If the file is opened, the ..."},"92":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpOpenSubFile.htm",l:-1,t:"fpOpenSubFile()",i:0.00535343582018197,a:"This function opens a subfile as a stream, which can be used directly or passed to other KeyView interfaces. Syntax int (pascal *fpOpenSubFile) (\n        void                  *pFile,\n        KVExtractSubFileArg    extractArg,\n        KVInputStream        **stream); Arguments Returns If the subfile ..."},"93":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct.htm",l:-1,t:"File Extraction API Structures",i:0.00167860923732098,a:"File Extraction API Structures This section provides information on the structures used by the File Extraction API. These structures define the input and output parameters required to extract subfiles from a container file, and are defined in kvxtract.h. "},"94":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVCredential.htm",l:-1,t:"KVCredential",i:0.00568359345405558,a:"This structure contains a count of the number of  credential elements, and a pointer to the first element of the array of individual elements. The structure is initialized by calling  fpOpenFile() , and is defined in kvxtract.h. typedef struct  ..."},"95":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVCredentialComponent.htm",l:-1,t:"KVCredentialComponent",i:0.0184855017456226,a:"This structure contains the value of a credential item. The structure is defined in  kvxtract.h. typedef struct  tag_KVCredentialComponent\n{\n    KVCredKeyType      keytype;\n    union\n    {\n        void           *pkey;\n        char           *skey;\n        unsigned ..."},"96":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVExtractInterface.htm",l:-1,t:"KVExtractInterface",i:0.00485098524118938,a:"The members of this structure are pointers to the file extraction functions described in  File Extraction API Functions . Calling the  KVGetExtractInterface()  function assigns the function pointers in the structure. The structure is defined in kvxtract.h.  typedef struct  ..."},"97":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVExtractSubFileArg.htm",l:-1,t:"KVExtractSubFileArg",i:0.0256121424091999,a:"This structure defines the input parameters  required to extract a subfile. See  fpExtractSubFile() . The structure is defined in kvxtract.h. typedef struct ..."},"98":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVGetSubFileMetaArg.htm",l:-1,t:"KVGetSubFileMetaArg",i:0.00248090040027802,a:"This structure defines the  metadata tags whose values are retrieved by  fpGetSubFileMetaData() . This structure is defined in kvxtract.h. typedef struct  ..."},"99":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVGetSubFileMetadataListArg.htm",l:-1,t:"KVGetSubFileMetadataListArg",i:0.0024793496424329,a:"This structure defines the input parameters required to retrieve subfile metadata using the function  fpGetSubFileMetadataList() . This structure is defined in kvxtract.h. \ntypedef struct tag_KVGetSubfileMetadataListArg\n{\n    KVStructHeader;\n    int index; /*The sub file index*/\n    KVCharSet ..."},"100":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVMainFileInfo.htm",l:-1,t:"KVMainFileInfo",i:0.00367663295113769,a:"This structure contains information about a main file that is open for extraction. It is initialized by calling  fpGetMainFileInfo() .  This structure is defined in kvxtract.h. typedef struct  ..."},"101":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVMetadataElem.htm",l:-1,t:"KVMetadataElem",i:0.00277456865022861,a:"The KVMetadataElem structure is deprecated in KeyView 23.2.0 and later. OpenText recommends that you access metadata using the metadata API described in  Use the Metadata API . This structure is still available for existing implementations, but it might be incompatible with new functionality and ..."},"102":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVMetaName.htm",l:-1,t:"KVMetaName",i:0.00320049593848942,a:"The KVMetaName structure is deprecated in KeyView 23.2.0 and later. OpenText recommends that you access metadata using the metadata API described in  Use the Metadata API . This structure is still available for existing implementations, but it might be incompatible with new functionality and might ..."},"103":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVOpenFileArg.htm",l:-1,t:"KVOpenFileArg",i:0.0247832233968906,a:"This structure defines the input arguments necessary to open a file for extraction. This structure is defined in kvxtract.h. To open a file for extraction, initialize a KVOpenFileArg structure and pass it to the function  fpOpenFile() . To specify the input document you should set one the members ..."},"104":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVOutputStream.htm",l:-1,t:"KVOutputStream",i:0.0050987829801356,a:"This structure defines an  output stream for the extracted subfile. The structure is defined in kvstream.h. typedef struct tag_OutputStream\n{\n void  *pOutputStreamPrivateData;\n BOOL (pascal *fpCreate)(struct tag_OutputStream *,TCHAR *);\n UINT (pascal *fpWrite) (struct tag_OutputStream *, BYTE *, ..."},"105":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVSubFileExtractInfo.htm",l:-1,t:"KVSubFileExtractInfo",i:0.0102262190347087,a:"This structure contains  information about an extracted subfile. It is initialized by calling  fpExtractSubFile() . This structure is defined in kvxtract.h. typedef struct tag_KVSubFileExtractInfo\n{\n    KVStructHeader;\n    char            *filePath; \n    char            *fileName;\n    unsigned ..."},"106":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVSubFileInfo.htm",l:-1,t:"KVSubFileInfo",i:0.00490063645615152,a:"This structure contains information  about a subfile in a container file. It is initialized by calling  fpGetSubFileInfo() . This structure is defined in kvxtract.h. typedef struct tag_KVSubFileInfo\n{\n    KVStructHeader;\n    char          *subFileName;\n    int           subFileType;\n    uint64_t     ..."},"107":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVSubFileMetaData.htm",l:-1,t:"KVSubFileMetaData",i:0.00195370508898371,a:"The KVSubFileMetaData structure is deprecated in KeyView 23.2.0 and later. OpenText recommends that you access metadata using the metadata API described in  Use the Metadata API . This structure is still available for existing implementations, but it might be incompatible with new functionality and ..."},"108":{y:0,u:"../Content/C/ExportAPIFunctions/htmlx_functions.htm",l:-1,t:"HTML Export API Functions",i:0.0046777939285499,a:"This section describes the functions in the HTML Export API.  These functions manage the input and output streams, and perform the document conversion.  Each function appears as a function prototype followed by a description of its arguments, its return value, and discussion of its use."},"109":{y:0,u:"../Content/C/ExportAPIFunctions/KVHTMLGetInterfaceEx2.htm",l:-1,t:"KVHTMLGetInterfaceEx2()",i:0.00162199151539439,a:"This function is exported by the Export definition file. It supplies function pointers to other Export functions. When KVHTMLGetInterfaceEx2() is called, it assigns the function pointers in the structure KVHTMLInterfaceEx2 to other functions described in this chapter. Syntax BOOL pascal ..."},"110":{y:0,u:"../Content/kv_RMS/_KV_RMS_fpConfigureRMS.htm",l:-1,t:"fpConfigureRMS()",i:0.00334497535936533,a:"This function provides a way to set the credentials required to access Azure RMS protected files. After you set these credentials, the HTML Export and File Extraction API functions can operate on the contents of the Azure RMS files. The Rights Management Service (RMS) technology underpins a variety ..."},"111":{y:0,u:"../Content/C/ExportAPIFunctions/fpConvertStream.htm",l:-1,t:"fpConvertStream()",i:0.00852200871348404,a:"This function converts either a source stream or file to an output stream.  Syntax BOOL pascal fpConvertStream( ..."},"112":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToInputStreamCreate.htm",l:-1,t:"fpFileToInputStreamCreate()",i:0.00162199151539439,a:"This function creates an  input stream from an input file.  Syntax BOOL pascal _export fpFileToInputStreamCreate( \n    void            *pContext, \n    char            *pszFileName,\n    KVInputStream   *pInput); Arguments Returns If the call is successful, the return value is TRUE. If this call is ..."},"113":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToInputStreamFree.htm",l:-1,t:"fpFileToInputStreamFree()",i:0.00162199151539439,a:"This function frees the memory used to create an  input stream. Syntax BOOL pascal _export fpFileToInputStreamFree( \n    void            *pContext, \n    KVInputStream   *pInput); Arguments Returns If the call is successful, the return value is TRUE. If this call is unsuccessful, the return value is ..."},"114":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToOutputStreamCreate.htm",l:-1,t:"fpFileToOutputStreamCreate()",i:0.00162199151539439,a:"This function creates an  output stream from an output file.  Syntax BOOL pascal _export fpFileToOutputStreamCreate( \n    void                *pContext,\n    char                *pszFileName,\n    KVOutputStream      *pOutput ); Arguments Returns If the call is successful, the return value is TRUE. If ..."},"115":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToOutputStreamFree.htm",l:-1,t:"fpFileToOutputStreamFree()",i:0.00162199151539439,a:"This function frees the memory used to create the  output stream. Syntax BOOL pascal _export fpFileToOutputStreamFree( \n    void                *pContext,\n    KVOutputStream      *pOutput ); Arguments Returns If the call is successful, the return value is TRUE. If this call is unsuccessful, the ..."},"116":{y:0,u:"../Content/C/ExportAPIFunctions/fpFreePartitionInfoList.htm",l:-1,t:"fpFreePartitionInfoList",i:0.00188572659437601,a:"This function frees a  KVPartitionInfoList  that was allocated by  fpGetPartitionInfoList (). Syntax void pascal fpFreePartitionInfoList (\nvoid* pContext,\nKVPartitionInfoList* pPartitionInfoList) Arguments Returns None. Discussion This function is idempotent; that is, it does not do anything if you ..."},"117":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetAnchor.htm",l:-1,t:"fpGetAnchor()",i:0.00280925131380318,a:"fpGetAnchor () This function gets the file name automatically generated by Export and used for external graphics referenced with \u003cimg\u003e tags and for heading-level table of contents entries. Syntax BOOL pascal fpGetAnchor( ..."},"118":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetConvertFileList.htm",l:-1,t:"fpGetConvertFileList()",i:0.00147031347206544,a:"This function gets the list of files automatically converted to HTML during a call to fpConvertStream() or KVHTMLConvertFile(). Syntax char ** pascal _export fpGetConvertFileList( \n    void    *pContext,\n    int     *pnSize ); Arguments Returns If no files are converted, the return value is a NULL ..."},"119":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetKvErrorCode.htm",l:-1,t:"fpGetKvErrorCode()",i:0.00147031347206544,a:"This function gets an extended error code defined in KVErrorCode. If a KeyView HTML Export function fails, you can call fpGetKvErrorCode() to find extra information on the failure. Syntax KVErrorCode pascal fpGetKvErrorCode (\n    void \t     *pContext ); Arguments Returns The current error code. ..."},"120":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetPartitionInfoList.htm",l:-1,t:"fpGetPartitionInfoList",i:0.00390973880673924,a:"This function allocates and fills a  KVPartitionInfoList  instance. This list gives you the information you need to arrange the output so that you can view it in your preferred layout. For more information, see  Partitioning . Syntax KVErrorCode pascal fpGetPartitionInfoList (\nvoid* ..."},"121":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetStreamInfo.htm",l:-1,t:"fpGetStreamInfo()",i:0.00631348390750248,a:"This function extracts file format  and character set information from the source document. Syntax BOOL pascal _export fpGetStreamInfo (\n    void            *pContext,\n    KVInputStream   *pInput,\n    KVStreamInfo    *pStreamInfo );  Arguments Returns If the call is successful, the return value is ..."},"122":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetSummaryInfo.htm",l:-1,t:"fpGetSummaryInfo()",i:0.00274445761974794,a:"This function extracts all  metadata from the  input stream. See  Extract Metadata  for more information. Syntax BOOL pascal _export fpGetSummaryInfo( \n    void                *pContext,\n    KVInputStream       *pInput,\n    KVSummaryInfoEx     *pSummary,\n    BOOL                 bFree );   Arguments ..."},"123":{y:0,u:"../Content/C/ExportAPIFunctions/fpInit.htm",l:-1,t:"fpInit()",i:0.0304640454306473,a:"This function initializes an Export session. Syntax KVErrorCode pascal _export fpInit(\n    const char* pszKeyViewDir,\n    const char* pszLicense,\n    const char* pszIniFile,\n    DWORD dWord,\n    void** ppContext\n); Arguments Returns The function returns an error code. When initialization is ..."},});