define({"0":{y:0,u:"../Content/part_Overview.htm",l:-1,t:"Overview of XML Export",i:0.00446781641455158,a:"Overview of XML Export This section provides an overview of the OpenText IDOL KeyView Export SDK and describes how to use the Java implementation of the API. Introducing XML Export Getting Started"},"1":{y:0,u:"../Content/ExportShared/Introduction/Introduction.htm",l:-1,t:"Introducing XML Export",i:0.00636674462719018,a:"Introducing XML Export This guide is for developers who want to incorporate OpenText KeyView XML conversion technology into their applications using a Java development environment. It is intended for readers who are familiar with XML and Java."},"2":{y:0,u:"../Content/ExportShared/Introduction/Overview.htm",l:-1,t:"Overview",i:0.00446781641455158,a:"XML Export is part of the KeyView Export SDK. It enables you to convert virtually any document, spreadsheet, presentation, or graphic into well-formed, valid XML. With XML Export, you control the content, structure, and format of the XML output using either easily customized templates, or the ..."},"3":{y:0,u:"../Content/ExportShared/Introduction/Features.htm",l:-1,t:"Features",i:0.00446781641455158,a:"Dynamically convert word processing, spreadsheet, presentation, and graphics files into  well-formed, valid, and 1.0-compliant XML . Export supports over 300 formats in 70 languages. Convert files either in-process or out of process. Out-of-process conversion ensures the stability and robustness of ..."},"4":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00446781641455158,a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software."},"5":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00446781641455158,a:"The following sections list supported operating systems for each platform. Windows (x86-64) Microsoft Windows Server 2022 Microsoft Windows Server 2019 Microsoft Windows Server 2016 Microsoft Windows Server 2012 Microsoft Windows 11 Microsoft Windows 10 Windows (x86) Microsoft Windows 10 Windows ..."},"6":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.00446781641455158,a:"Supported Compilers The following table lists the supported compilers for the Java XML Export SDK."},"7":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.00636674462719018,a:"To run KeyView on Windows requires the Microsoft Visual C++ 2019 redistributables to be installed. The redistributables are provided in the vcredist folder of the KeyView SDK but you can  download the latest installers from Microsoft  to get the latest security, reliability, and performance ..."},"8":{y:0,u:"../Content/Shared/_KV_install_Windows.htm",l:-1,t:"Windows Installation",i:0.00446781641455158,a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ..."},"9":{y:0,u:"../Content/Shared/_KV_install_UNIX.htm",l:-1,t:"UNIX Installation",i:0.00446781641455158,a:"To install the SDK, use one of the following procedures. To install the SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the SDK from the console Run the installation program from the console as follows: ..."},"10":{y:0,u:"../Content/ExportShared/Introduction/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00446781641455158,a:"The Export installation contains: Libraries and executable files necessary for converting source documents into high-quality , well-formed XML  (see  Files Required for Redistribution ). The include files that define the functions and structures used by the application to establish an interface with ..."},"11":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0550722618376603,a:"Your license key controls whether you have the full version of the KeyView SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document readers: Microsoft ..."},"12":{y:0,u:"../Content/ExportShared/Introduction/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.00446781641455158,a:" The following table describes the directories created during the XML Export installation. The variable install is the path name of the Export installation  directory (for example, /usr/autonomy/KeyviewExportSDK on UNIX, or C:\\Program Files\\Autonomy\\KeyviewExportSDK on Windows). On UNIX, the XML ..."},"13":{y:0,u:"../Content/ExportShared/Introduction/Definition_of_Terms.htm",l:-1,t:"Definition of Terms",i:0.00446781641455158,a:"Definition of Terms The following are specialized terms used throughout the guide. "},"14":{y:0,u:"../Content/ExportShared/GettingStarted/GettingStarted.htm",l:-1,t:"Getting Started",i:0.00636674462719018,a:"Getting Started This section provides an overview of the XML Export SDK and describes how to use the Java implementations of the API."},"15":{y:0,u:"../Content/ExportShared/GettingStarted/Architectural_Overview.htm",l:-1,t:"Architectural Overview",i:0.00446781641455158,a:"Architectural Overview The general architecture of the KeyView XML conversion technology is the same across all supported platforms and is illustrated in the following diagram: XML Export Architecture Each component is described in the following table."},"16":{y:0,u:"../Content/ExportShared/GettingStarted/Enhance_Performance.htm",l:-1,t:"Enhance Performance",i:0.00446781641455158,a:"KeyView is designed for optimal performance out of the box. However, there are some parameters that you can adjust to improve performance specifically for your system. File Caching To reduce the frequency of I/O operations, and consequently improve performance, the KeyView readers load file data ..."},"17":{y:0,u:"../Content/ExportShared/GettingStarted/Convert_Files.htm",l:-1,t:"Convert Files",i:0.00446781641455158,a:"KeyView Export SDK enables you to convert many different types of documents to XML. Converting is the process of extracting the text from a document without the application-specific markup, and applying XML markup. The conversion process can also include the following: Extracting subfiles to expose ..."},"18":{y:0,u:"../Content/ExportShared/GettingStarted/Convert_Files_Out_of_Process.htm",l:-1,t:"Convert Files Out of Process",i:0.0695974107514097,a:"Export  can run independently from the calling application. This is called out of process. Out-of-process conversions protect the stability of the calling application in the rare case when a malformed document causes Export to fail. You can also run Export in the same process as the calling ..."},"19":{y:0,u:"../Content/ExportShared/GettingStarted/ConvertOOP_Run_Java.htm",l:-1,t:"Run Export Out of Process",i:0.00623431782732023,a:"The XmlTest.java sample program demonstrates how to run Export out of process.  To convert files out of process in the Java API If required, set parameters for the out-of-process conversion in the formats_e.ini file. See  Configure Out-of-Process Conversions . Create an instance of the XmlExport ..."},"20":{y:0,u:"../Content/ExportShared/GettingStarted/Subfile_Extraction.htm",l:-1,t:"Subfile Extraction",i:0.00494254846771123,a:"To convert a file, you must first determine whether the source file contains any subfiles (attachments, embedded objects, and so on). A file that contains subfiles is called a  container file. Compressed files (such as Zip), mail messages with attachments (such as  Microsoft Outlook Express), mail ..."},"21":{y:0,u:"../Content/ExportShared/GettingStarted/Set_Conversion_Options.htm",l:-1,t:"Set Conversion Options",i:0.0460632543327904,a:"Set Conversion  Options Conversion options are parameters that determine the content, structure, and appearance of the XML output. For example, you can specify:  the markup inserted at the beginning and end of specific XML blocks whether a heading is included in the table of contents the output ..."},"22":{y:0,u:"../Content/ExportShared/GettingStarted/HTML_Export_API_Java.htm",l:-1,t:"Use the XML Export API",i:0.0113602946269579,a:"The  Java version of the API provides an interface to the core functionality of the C API. It provides two primary classes (XmlExport and XmlExportReader) that wrap the conversion functionality of the C API. The XmlExport class provides access to a family of methods called convert. The ..."},"23":{y:0,u:"../Content/ExportShared/GettingStarted/Use_Verity_DocType_Definition.htm",l:-1,t:"Use the KeyView Document Type Definition (DTD)",i:0.00446781641455158,a:"Use the KeyView  Document Type Definition ( DTD) XML Export produces well-formed, valid XML documents. Document validity is based on a Document Type Definition (DTD) called the Verity.dtd. The Verity.dtd is in the default output directory tempout. If the DTD is in a different directory, the full ..."},"24":{y:0,u:"../Content/part_Use.htm",l:-1,t:"Use the Export API",i:0.00446781641455158,a:"Use the Export API This section explains how to perform some basic tasks using the  File Extraction and  Export APIs, and describes the sample programs. It contains the following chapters: Use the File Extraction API Use the XML Export API Sample Programs"},"25":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c.htm",l:-1,t:"Use the File Extraction API",i:0.012251480290238,a:"Use the File Extraction API This section describes how to extract subfiles from a container file by using the File Extraction API. "},"26":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Introduction.htm",l:-1,t:"Introduction",i:0.00446781641455158,a:"A file can contain other files, which we call subfiles. Examples of subfiles include e-mail attachments and embedded OLE objects. A file that contains subfiles is called a container file. The following are examples of container files: Archive files such as the ZIP, TAR, and RAR formats. Mail ..."},"27":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_Sub_Files.htm",l:-1,t:"Extract Subfiles",i:0.0297700391261059,a:"To  convert  all files in a container file, the container must be opened and its subfiles extracted to either a file or a stream using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for  conversion . Once a subfile is extracted, you ..."},"28":{y:0,u:"../Content/Shared/_KV_xtract_pwd_java.htm",l:-1,t:"Open Password Protected Container Files",i:0.00446781641455158,a:"This section describes how to extract password-protected container files by using the Java API. The following guidelines apply to specific file types. Lotus Notes NSF files. If you are running a Notes client with an active user connected to a Domino server, you must specify the user’s password as a ..."},"29":{y:0,u:"../Content/_KV_xtract_sanitize_paths.htm",l:-1,t:"Sanitize Absolute Paths",i:0.00446781641455158,a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the Filter.extGetSubFileInfo() method.  However, if the ..."},"30":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.00446781641455158,a:"You can use the File Extraction API  to extract images within a file. If you use this feature, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where [X] is an integer, and [Y] is the extension. The format of the image is the same as ..."},"31":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Recreate_a_Files_Hierarchy.htm",l:-1,t:"Understand the Subfile Hierarchy",i:0.00700929391690711,a:"When you extract a container file, the paths or relationships between the subfiles might be irrelevant. For example, you might want to filter the subfiles contained in a ZIP archive, but you might not care about the file and folder structure. KeyView provides information that enables you to recreate ..."},"32":{y:0,u:"../Content/kv_xtract_api_c/_KV_ExtractMailFiles.htm",l:-1,t:"Extract Mail Files",i:0.00636674462719018,a:"A file that contains an e-mail message, for example a Microsoft Outlook .MSG file, is typically treated as a container even if it does not have any attachments. KeyView provides access to the message text as a subfile.  When you extract a subfile that represents the text of a message, KeyView ..."},"33":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_MailboxFiles.htm",l:-1,t:"Mailbox Files",i:0.00446781641455158,a:"A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  In Eudora MBX files, attachments are inserted ..."},"34":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookPersonal_files.htm",l:-1,t:"Outlook Personal Folders Files",i:0.00446781641455158,a:"KeyView can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file. When a PST file is extracted to disk, the body text and header information (To, From, Sent, and so on) from each Outlook item is extracted to a text file. If you do not want ..."},"35":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_LotusDominoXML.htm",l:-1,t:"Lotus Domino XML Language Files",i:0.00446781641455158,a:"You can make sure that dates and times extracted from Lotus Domino .DXL files are displayed in a uniform format. To extract custom date/time formats In the formats_e.ini file, set the DateTimeFormat option in the [dxlsr] section. For example: [dxlsr]\nDateTimeFormat=%m/%d/%Y %I:%M:%S %p In this ..."},"36":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_LotusNotes_DB.htm",l:-1,t:"Lotus Notes Database Files",i:0.00446781641455158,a:"A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document notes, access control list notes, and collection ..."},"37":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_PDF_Files.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.00446781641455158,a:"KeyView can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are added as comments by using various ..."},"38":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.00446781641455158,a:"To improve performance when processing  PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, KeyView does not extract the image.  For example, to ignore images that are ..."},"39":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_Embedded_OLE_Objects.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.00446781641455158,a:"Embedded OLE objects can be converted in two ways: Using the File Extraction API, the OLE object is first extracted from the main file and saved to disk. It can then be converted by making a separate conversion call. Using the  XML  Export API, the main file is converted to  XML  and the OLE object ..."},"40":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Default_Filenames_Extracted_Subfiles.htm",l:-1,t:"Default File Names for Extracted Subfiles",i:0.00446781641455158,a:"Default File Names for  Extracted Subfiles When a file name is not specified in the call to  extExtractSubFile, in some cases, a default file name is applied to the extracted subfile. Default File Name for Mail Formats To avoid naming conflicts and problems with long file names, KeyView applies its ..."},"41":{y:0,u:"../Content/ExportShared/UseExportAPI/HTML_api.htm",l:-1,t:"Use the XML Export API",i:0.0067841204747443,a:"Use the XML Export API This section describes how to perform some basic tasks by using the XML Export API."},"42":{y:0,u:"../Content/ExportShared/UseExportAPI/Extract_Metadata.htm",l:-1,t:"Extract Metadata",i:0.00794423761968172,a:"Extract  Metadata When a file format supports metadata, KeyView can extract and process that information. Metadata includes document information fields such as title, author, creation date, and file size. Depending on the file\u0027s format, metadata is referred to in a number of ways: for example, ..."},"43":{y:0,u:"../Content/ExportShared/UseExportAPI/Extract_File_Format_Info.htm",l:-1,t:"Obtain File Format Information",i:0.00494254846771123,a:"The KeyView format detection module (kwad) detects a file\u0027s format. This feature enables you to apply customized conversion settings based on a file\u0027s format. To extract file format information Set the input source using the setInputSource method.  Call the getAutoDetectInfo() method of the Export ..."},"44":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_Character_Sets.htm",l:-1,t:"Convert Character Sets",i:0.00494254846771123,a:"Export allows you to control the character set of both the input and the output text. This is accomplished by either setting the source and/or target character set in the API, or  basing the input/output on the character set of the document (if the document character set is stored in the document ..."},"45":{y:0,u:"../Content/ExportShared/UseExportAPI/Map_Styles.htm",l:-1,t:"Map Styles",i:0.0985130600950444,a:"Export can map  paragraph and character styles in any word processing format that contains styles (such as Microsoft Word, RTF, or Folio Flat File) to user-defined markup.  With this feature, you can redact (hide) text in the source document, delete content, or change the overall structure of the ..."},"46":{y:0,u:"../Content/ExportShared/UseExportAPI/Use_Style_Sheets.htm",l:-1,t:"Use Style Sheets",i:0.0109943175652342,a:"Use  Style Sheets XML is a content-based metalanguage designed to structure data. XML does not include information about how a document should be displayed in a browser. To view an XML document in a browser, information about how its displayed must be provided by style sheets. These are coded by ..."},"47":{y:0,u:"../Content/ExportShared/UseExportAPI/Vector_Graphics_Output.htm",l:-1,t:"Vector Graphics Output",i:0.0109943175652342,a:"Sometimes an input document contains vector graphics like charts or diagrams that can be included in the output produced by KeyView.  For presentation formats like PowerPoint, the entire slide can be considered as a vector graphic. You can choose the output format for vector graphics. In most cases, ..."},"48":{y:0,u:"../Content/ExportShared/UseExportAPI/Java-Only/Convert_Revision_Tracking_Info.htm",l:-1,t:"Convert Revision Tracking Information",i:0.00746950556652207,a:"The revision tracking feature in applications—such as Microsoft Word\u0027s  Track Changes—marks changes to a document (typically, strikethrough for deleted text and underline for inserted text) and tracks each change by reviewer name and date.  If revision tracking was enabled when changes were made to ..."},"49":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_PDF_Files.htm",l:-1,t:"Convert PDF Files",i:0.0139960067172047,a:"Export has special  configuration options that allow greater control over the conversion of PDF files. These options can improve the fidelity and accuracy of the XML output. Convert PDF Files to a Logical Reading Order The PDF format is primarily designed for presentation and printing of brochures, ..."},"50":{y:0,u:"../Content/pdf2sr_image_size.htm",l:-1,t:"Configure the Size of Exported Images",i:0.00446781641455158,a:"When you use the pdf2sr reader to export images of the pages in a PDF file, you can configure the size of the images produced by KeyView. When a page in a PDF document consists of a single embedded image (such as when the PDF is a scanned document), the page image is output at the original size of ..."},"51":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_Spreadsheet_Files.htm",l:-1,t:"Convert Spreadsheet Files",i:0.00446781641455158,a:"Export has special configuration options that allow greater control over the conversion of spreadsheet files.  Convert  Hidden Text in Microsoft Excel Files Normally, Export does not convert hidden text from a Microsoft Excel spreadsheet because it is assumed that the text should not be exposed. You ..."},"52":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_XML_Files.htm",l:-1,t:"Convert XML Files",i:0.0110732285814482,a:"Convert  XML Files Export enables you to extract all or selected content from source XML files (see  Configure Element Extraction for XML Documents ). It detects the following XML formats: generic XML Microsoft Office 2003 XML (Word, Excel, and Visio) StarOffice/OpenOffice XML (text document, ..."},"53":{y:0,u:"../Content/ExportShared/UseExportAPI/Show_Hidden_Data.htm",l:-1,t:"Show Hidden Data",i:0.0297700391261059,a:"Microsoft Word, Excel, and PowerPoint documents contain hidden information, some of which is shown by default when exported, and some of which is hidden by default. There are several options that allow you to determine which types of hidden data are shown. KeyView does not consider white text on a ..."},"54":{y:0,u:"../Content/Shared/_KV_No_Phonetic_Guides.htm",l:-1,t:"Exclude Japanese Guide Text",i:0.00446781641455158,a:"Exclude Japanese Guide Text This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text In  formats_e.ini, set the following parameter.  [Options]\nNoPhoneticGuides=TRUE"},"55":{y:0,u:"../Content/Shared/_KV_Code_Identification.htm",l:-1,t:"Source Code Identification",i:0.00446781641455158,a:"When KeyView auto-detects a file that contains source code, it can attempt to identify the programming language that it is written in. When you do not enable source code identification, files containing source code may be identified as ASCII text files, causing the application to treat them in the ..."},"56":{y:0,u:"../Content/kv_metadata_api_c/_KV_Using_Metadata_API.htm",l:-1,t:"Use the Metadata API",i:0.00852291093063439,a:"Use the Metadata API This section describes how to use KeyView to access metadata."},"57":{y:0,u:"../Content/kv_metadata_api_c/_KV_What_Is_Metadata.htm",l:-1,t:"What is Metadata?",i:0.0108071503421843,a:"Documents may contain information about the document itself: we call this metadata. For instance, a raster image file contains metadata recording the image\u0027s width and height; a word processing document may contain metadata recording the document\u0027s author and title. Metadata can be represented by ..."},"58":{y:0,u:"../Content/kv_metadata_api_c/_KV_Understanding_Metadata.htm",l:-1,t:"Understanding Metadata Fields in KeyView",i:0.00446781641455158,a:"Field Standardization Common metadata fields such as \"Title\", \"Author\", and \"Subject\" exist in many different file formats, but can be stored in different ways. For instance, one raster image format may store the image width as a key-value pair with key Width. Another format may store the image ..."},"59":{y:0,u:"../Content/kv_metadata_api_c/_KV_Process_Fields.htm",l:-1,t:"Access Metadata Fields",i:0.00446781641455158,a:"This section explains how to process metadata fields using the KeyView API. Standardized Fields When KeyView understands the meaning of a metadata field in a document, it outputs that data in a standardized field. For a MetadataElement that represents a standardized field: isStandard() returns true. ..."},"60":{y:0,u:"../Content/Java/SamplePrograms/samples_html_java.htm",l:-1,t:"Sample Programs",i:0.00813989537106757,a:"Sample Programs This section describes the Java sample programs provided with XML Export."},"61":{y:0,u:"../Content/Java/SamplePrograms/Introduction.htm",l:-1,t:"Introduction",i:0.00446781641455158,a:"The Java sample programs demonstrate how to use the Java implementation of XML Export. The sample code is intended to provide a starting point for your own applications or to be used for reference purposes. You can also test these sample programs with the sample files provided in  install\\testdocs. ..."},"62":{y:0,u:"../Content/Java/SamplePrograms/ExtractExport.htm",l:-1,t:"ExtractExport",i:0.00520527344387153,a:"This program demonstrates the File Extraction interface and basic functionality of the Export interface. The HtmlTest sample program demonstrates more advanced functionality of the Export interface.  See  XmlTest The ExtractExport program demonstrates the following functionality: opens a document ..."},"63":{y:0,u:"../Content/Java/SamplePrograms/XmlTest.htm",l:-1,t:"XmlTest",i:0.0211859454633065,a:"This program converts an input document to an output document and enables you to specify options in the command line. This program demonstrates most of the methods available in the Java API. The command-line options are listed in  Options for the XMLTest Sample Program .  This sample program ..."},"64":{y:0,u:"../Content/Java/SamplePrograms/XmlConvFileToFile.htm",l:-1,t:"XmlConvFileToFile",i:0.00446781641455158,a:"This program converts an input file to an output file using Java API calls in XML Export, and a template file. See  Explore Conversion Options with the Sample Programs  for more information on templates.  It demonstrates the following functions: Extracts file format information (document type, ..."},"65":{y:0,u:"../Content/Java/SamplePrograms/XmlConvStreamToStream.htm",l:-1,t:"XmlConvStreamToStream",i:0.00446781641455158,a:"This program converts an input stream to an output stream using Java API calls in XML Export, and a template file. See  Explore Conversion Options with the Sample Programs  for more information on templates. This sample program demonstrates how to export from a java.io.InputStream object. However, ..."},"66":{y:0,u:"../Content/Java/SamplePrograms/XmlParseIt.htm",l:-1,t:"XmlParseIt",i:0.00639921117614885,a:"This program demonstrates the use of the XmlExportReader class (see  Use Methods in the XmlExportReader Class ) to convert an input file, and sends out SAX events based on the generated XML, and a template file. See  Explore Conversion Options with the Sample Programs  for more information on ..."},"67":{y:0,u:"../Content/appart.htm",l:-1,t:"Appendixes",i:0.00446781641455158,a:"This section lists supported formats, supported character sets and redistributed files, and provides information on format detection. Supported Formats Document Readers Platform Differences Character Sets Extract and Format Lotus Notes Subfiles Export Tokens File Format Detection Files Required for ..."},"68":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected.htm",l:-1,t:"Supported Formats",i:0.0048898004618046,a:"Supported Formats This section lists the file formats that KeyView can detect."},"69":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected_Key.htm",l:-1,t:"Key to Supported Formats Table",i:0.00446781641455158,a:"Key to Supported Formats Table The supported formats table includes the following information:"},"70":{y:0,u:"../Content/kv_formats/_KV_FMT__AllDetected.htm",l:-1,t:"Supported Formats",i:0.0158576584890525,a:"1MHT, EML, and MBX files might return either format 2, 233, or 395, depending on the text  in the file. In general, files that contain fields such as To, From, Date, or Subject are considered to be email messages; files that contain fields such as content-type and mime-version are considered to be ..."},"71":{y:0,u:"../Content/kv_formats/_KV_FMT_FileClasses.htm",l:-1,t:"File Classes",i:0.00446781641455158,a:"File Classes"},"72":{y:0,u:"../Content/kv_formats/_KV_FMT__SupportedFormats.htm",l:-1,t:"Document Readers",i:0.0160412942349422,a:"Document Readers This section lists the KeyView document readers that are available to filter, export, and view supported file formats."},"73":{y:0,u:"../Content/kv_formats/_KV_FMT__Key.htm",l:-1,t:"Key to Document Readers Table",i:0.00446781641455158,a:"The document readers table includes the following information. Key to Symbols Symbol Description Y The feature is supported. N The feature is not supported. T Only text is extracted from this format. Formatting information is not extracted.  M Only metadata (title, subject, author, and so on) is ..."},"74":{y:0,u:"../Content/kv_formats/_KV_FMT_Readers.htm",l:-1,t:"Document Readers",i:0.0133899496289437,a:"Document Readers"},"75":{y:0,u:"../Content/kv_platforms/_KV_Intro.htm",l:-1,t:"Platform Differences",i:0.0048898004618046,a:"Platform Differences Most KeyView features and document readers are available across all platforms. This section describes the supported platforms for certain features that are not available on every platform."},"76":{y:0,u:"../Content/kv_platforms/_KV_FeaturesByPlatform.htm",l:-1,t:"Feature Differences",i:0.00826194563849806,a:"Feature Differences"},"77":{y:0,u:"../Content/kv_platforms/_KV_ReadersByPlatform.htm",l:-1,t:"Reader Differences",i:0.00826194563849806,a:"Reader Differences This topic shows only those readers that are unavailable on at least one platform. For a complete list of a readers, see  Document Readers ."},"78":{y:0,u:"../Content/kv_charset/_KV_CHARSET_c_charset.htm",l:-1,t:"Character Sets",i:0.0048898004618046,a:"Character Sets This section provides information on the handling of character sets in the KeyView suite of products, which includes KeyView Filter SDK, KeyView Export SDK, and KeyView Viewing SDK. "},"79":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Multibyte_Bidirectional_Support.htm",l:-1,t:"Multibyte and Bidirectional Support",i:0.00446781641455158,a:"The KeyView SDKs can process files that contain  multibyte characters. A multibyte  character encoding represents a single character with consecutive bytes. KeyView can also process text from files that contain  bidirectional text. Bidirectional text contains both Latin-based text which is read from ..."},"80":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Coded_Character_Sets.htm",l:-1,t:"Coded Character Sets",i:0.00625562536230518,a:"Coded Character Sets This section lists which character set  you can use to specify the target character set.  The coded character sets are enumerated in kvcharset.h and defined in the  Export  class."},"81":{y:0,u:"../Content/kv_XML_templates/_KV_XML_app_XMLtemplate.htm",l:-1,t:"Extract and Format Lotus Notes Subfiles",i:0.00868765688708181,a:"Extract and Format Lotus Notes Subfiles This section describes how to create XML templates to alter the appearance of extracted Lotus mail note subfiles so that they maintain the look and feel of the original notes."},"82":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Overview.htm",l:-1,t:"Overview",i:0.00446781641455158,a:"KeyView uses the NSF reader, nsfsr, to extract Lotus database files, and places Lotus mail notes in subfiles. The NSF reader uses a set of default XML templates to extract the notes and apply formatting, thereby approximating the look and feel of the original notes. In some cases, you might need to ..."},"83":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Customize_XML_Templates.htm",l:-1,t:"Customize XML Templates",i:0.00446781641455158,a:"XML templates are enabled by default. In most cases, the default templates should be sufficient; however, you can customize them or create your own as required. To customize XML templates for Lotus note extraction Modify the template files in the following directory. install\\OS\\bin\\NSFtemplates The ..."},"84":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Template_Elements_and_Attributes.htm",l:-1,t:"Template Elements and Attributes",i:0.0564048167098653,a:"This section lists the valid XML elements and attributes that you can use when creating or modifying templates. See the demo templates for examples. Conditional Elements The following table lists the valid conditional elements. Control Elements The following table lists the valid control elements. ..."},"85":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Date_and_Time_Formats.htm",l:-1,t:"Date and Time Formats",i:0.0284374842539009,a:"This section lists the supported Notes and KeyView date and time formats for use with  \u003cformat\u003e ,  \u003cdate\u003e , and  \u003cdate_kv\u003e . Lotus Notes Date and Time Formats  This section lists supported Lotus Notes date and time formats, and the integer values that specify each one. KeyView Date and Time Formats ..."},"86":{y:0,u:"../Content/ExportShared/a_tokens.htm",l:-1,t:"Export Tokens",i:0.0184691194603358,a:"This section contains an alphabetized list of the Export tokens. Tokens are special strings inserted into the  KVXMLTemplate structure,  XmlTemplateInfo class, and template files. They are placeholders for markup that appears in the XML output. For example, the $CHARSET token marks the place in the ..."},"87":{y:0,u:"../Content/ExportShared/Detect/detection.htm",l:-1,t:"File Format Detection",i:0.0108622365578216,a:"File Format Detection This section describes how file formats are detected in the KeyView Export SDK."},"88":{y:0,u:"../Content/Shared/_KV_Refine_Detection_of_Text.htm",l:-1,t:"Refine Detection of Text Files",i:0.00446781641455158,a:"During text detection, KeyView analyses the first 1 kB and last 1 kB of data in a document. If less than 10% of that data consists of non-ASCII characters, KeyView detects the document as a text file. However, depending on the type of documents you are working with, the default settings might not ..."},"89":{y:0,u:"../Content/ExportShared/Detect/Determine_Doc_Reader.htm",l:-1,t:"Determine a Document Reader",i:0.00636674462719018,a:"The format detection module uses information in the file  formats_e.ini to determine whether a format is supported, and to determine the reader to use to parse a format. The entries in the [Formats] section of  formats_e.ini match file formats with readers. Each file format has the following ..."},"90":{y:0,u:"../Content/Shared/_KV_AdditionalFormatInfo.htm",l:-1,t:"Additional Format Information",i:0.00446781641455158,a:"KeyView returns basic information about a document\u0027s format, but sometimes it can be useful to have additional information. The file formats_description.tsv, which can be found in the bin directory, provides a mapping between file format ID, human-readable format description, and the format\u0027s MIME ..."},"91":{y:0,u:"../Content/ExportShared/Files/Filelist.htm",l:-1,t:"Files Required for Redistribution",i:0.0140997183061886,a:"Files Required for  Redistribution This section lists the Export files that can be redistributed in your applications under the licensing agreement. Unless noted, these files are in the directory  install\\OS\\bin, where install is the path of the Export installation directory and OS is the operating ..."},"92":{y:0,u:"../Content/ExportShared/Files/Core_Files.htm",l:-1,t:"Core Files",i:0.00446781641455158,a:"Core Files The following core files can be redistributed with your application."},"93":{y:0,u:"../Content/ExportShared/Files/Support_Files.htm",l:-1,t:"Support Files",i:0.00446781641455158,a:"Support Files The following support files can be redistributed with your application."},"94":{y:0,u:"../Content/ExportShared/Files/Document_Readers_and_Writers.htm",l:-1,t:"Document Readers and Writers",i:0.00573376855631065,a:"Document Readers and Writers The following readers and writers can be redistributed with your application."},"95":{y:0,u:"../Content/ExportShared/Files/Document_Type_Definition_Files.htm",l:-1,t:"Document Type Definition Files",i:0.00446781641455158,a:"Document Type Definition Files The following files related to the verity.dtd can be redistributed with your application."},"96":{y:0,u:"../Content/Shared/_KV_pwd_intro.htm",l:-1,t:"Password Protected Files",i:0.0048898004618046,a:"Password Protected Files This section lists supported password-protected container and non-container files and describes how to open them."},"97":{y:0,u:"../Content/Shared/_KV_pwd_protect_support.htm",l:-1,t:"Supported Password Protected File Types",i:0.00446781641455158,a:"The following table lists the password-protected file types that KeyView supports. Supported password-protected file types File Type Version Filter Export Extract View Credentials PST (Windows) n/a N N Y S P PST (non-Windows) 1 The native PST readers, pstxsr and pstnsr, do not require credentials to ..."},"98":{y:0,u:"../Content/Java/Password/Java_Export_Password_Protected_Files.htm",l:-1,t:"Export Password Protected Files",i:0.00446781641455158,a:"This section describes how to export password-protected non-container files with the Java API. To export password-protected files Create an instance of the ConfigOption class, and set the  OptionType argument to  CFG_SETPASSWORD, the  OptionValue argument to TRUE, and the  OptionData argument to the ..."},});